For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
  • Workflows
    • Overview
  • Get Started
    • MCP Quick Start
    • API Quick Start
  • MCP Server
    • Overview
    • Installation
  • Direct API
    • Overview
    • Authentication
      • GETGet all minds
      • POSTCreate a new mind
      • GETSearch minds
      • GETGet mind by ID
      • PUTUpdate mind by ID
      • DELDelete mind by ID
      • POSTRun simulation
      • GETGet signed URL for artifact upload
      • GETGet memory bank snapshots
      • POSTCreate a memory bank snapshot
      • GETGet memory bank snapshot status
      • GETGet all tags
      • PUTUpdate a tag
      • DELDelete a tag
      • PUTSet tags for a mind
      • GETList simulations
      • GETGet a simulation
      • DELDelete a simulation
      • GETGet psychometrics for a snapshot
      • GETGet topic analysis for a snapshot
      • GETGet snapshot details
      • POSTCreate a snapshot link
      • DELDelete a snapshot
      • POSTLink a snapshot
      • POSTUnlink a snapshot
      • GETGet API Key Usage
      • POSTProxy a request
    • Error Handling
  • SDKs
  • Core Concepts
    • Minds, Snapshots, & Simulations
    • SOC 2, HIPAA, & GDPR
LogoLogo
LogoLogo
Direct APIAPI Reference

Get all minds

GET
https://api.reasoner.com/api/mindsim/minds
GET
/api/mindsim/minds
$curl https://api.reasoner.com/api/mindsim/minds \
> -H "Authorization: Bearer <token>"
200Retrieved
1{
2 "minds": [
3 {
4 "id": "123e4567-e89b-12d3-a456-426614174000",
5 "name": "John Doe",
6 "slug": "john-doe",
7 "email": "john@example.com",
8 "imageUrl": "https://example.com/avatar.jpg",
9 "socialMedia": {},
10 "scope": "private",
11 "isSelf": false,
12 "organizationId": "123e4567-e89b-12d3-a456-426614174001",
13 "createdAt": "2025-01-01T00:00:00.000Z",
14 "updatedAt": "2025-01-01T00:00:00.000Z",
15 "tags": [
16 {
17 "id": "123e4567-e89b-12d3-a456-426614174005",
18 "name": "internal team",
19 "organizationId": "123e4567-e89b-12d3-a456-426614174001",
20 "createdAt": "2025-01-01T00:00:00.000Z",
21 "updatedAt": "2025-01-01T00:00:00.000Z"
22 }
23 ],
24 "snapshotCount": 1,
25 "psychometricCount": 10,
26 "keyTopicCount": 5,
27 "findingCount": 8
28 }
29 ]
30}
Returns a list of all minds, optionally filtered by tag names
Was this page helpful?
Previous

Create a new mind

Next
Built with

Authentication

AuthorizationBearer

API key passed as Bearer token in Authorization header (e.g., “Authorization: Bearer YOUR_API_KEY”)

Query parameters

tagNamesstringOptional

Comma-separated list of tag names to filter minds by

Response

Successful response
mindslist of objects